(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     12020,        327]
NotebookOptionsPosition[     11608,        310]
NotebookOutlinePosition[     11950,        325]
CellTagsIndexPosition[     11907,        322]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 RowBox[{"Clear", "[", "\"\<Global`*\>\"", "]"}]], "Input",
 CellChangeTimes->{{3.425455350171875*^9, 3.425455389828125*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", "  ", 
   RowBox[{"atomes", " ", "on", " ", "the", " ", "corners"}], "    ", "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"aotc", "=", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"1", ",", "0", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "1", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "1"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"1", ",", "1", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"1", ",", "0", ",", "1"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "1", ",", "1"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"1", ",", "1", ",", "1"}], "}"}]}], "}"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{"(*", "  ", 
    RowBox[{"Face", " ", "Centered", " ", "Atomes"}], "     ", "*)"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"fca", "=", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{".5", ",", ".5", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{".5", ",", "0", ",", ".5"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", ".5", ",", ".5"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"1", ",", ".5", ",", ".5"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{".5", ",", "1", ",", ".5"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{".5", ",", ".5", ",", "1"}], "}"}]}], "}"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{"(*", "   ", 
    RowBox[{"Internal", " ", "Atomes"}], "         ", "*)"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"ia", "=", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"1", "/", "4"}], ",", 
         RowBox[{"1", "/", "4"}], ",", 
         RowBox[{"1", "/", "4"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"3", "/", "4"}], ",", 
         RowBox[{"3", "/", "4"}], ",", 
         RowBox[{"1", "/", "4"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"3", "/", "4"}], ",", 
         RowBox[{"1", "/", "4"}], ",", 
         RowBox[{"3", "/", "4"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"1", "/", "4"}], ",", 
         RowBox[{"3", "/", "4"}], ",", 
         RowBox[{"3", "/", "4"}]}], "}"}]}], "}"}]}], ";"}]}]}]], "Input",
 CellChangeTimes->{{3.432783734671875*^9, 3.43278401471875*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"Graphics3D", "[", 
   RowBox[{
    RowBox[{"{", "\[IndentingNewLine]", 
     RowBox[{"(*", "  ", 
      RowBox[{"atomes", " ", "on", " ", "the", " ", "corners"}], "    ", 
      "*)"}], "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"PointSize", "[", ".03", "]"}], ",", "Red", ",", 
        RowBox[{"Point", "[", "aotc", "]"}]}], "}"}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{"(*", "  ", 
       RowBox[{"Face", " ", "Centered", " ", "Atomes"}], "     ", "*)"}], 
      "\[IndentingNewLine]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"PointSize", "[", "Large", "]"}], ",", "Blue", ",", 
        RowBox[{"Point", "[", "fca", "]"}]}], "}"}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{"(*", "   ", 
       RowBox[{"Internal", " ", "Atomes"}], "         ", "*)"}], 
      "\[IndentingNewLine]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"PointSize", "[", ".05", "]"}], ",", 
        RowBox[{"Point", "[", "ia", "]"}]}], "}"}]}], "\[IndentingNewLine]", 
     "}"}], "\[IndentingNewLine]", ",", 
    RowBox[{"BoxStyle", "\[Rule]", 
     RowBox[{"Directive", "[", "Dashed", "]"}]}]}], "\[IndentingNewLine]", 
   "]"}], "\[IndentingNewLine]", "\[IndentingNewLine]"}]], "Input",
 CellChangeTimes->{{3.4327814855625*^9, 3.4327815356875*^9}, {
   3.43278158409375*^9, 3.432781635796875*^9}, {3.432781693875*^9, 
   3.43278171765625*^9}, {3.432781773765625*^9, 3.43278178990625*^9}, {
   3.4327818305625*^9, 3.432781841484375*^9}, 3.43278187884375*^9, {
   3.432781942484375*^9, 3.43278205146875*^9}, {3.432782250203125*^9, 
   3.43278228296875*^9}, {3.43278237684375*^9, 3.432782673234375*^9}, {
   3.43278270640625*^9, 3.432782737296875*^9}, {3.432782769109375*^9, 
   3.432782843125*^9}, {3.432782879421875*^9, 3.432782924265625*^9}, {
   3.43278306140625*^9, 3.432783071078125*^9}, {3.4327831105625*^9, 
   3.43278316040625*^9}, {3.4327832714375*^9, 3.4327833591875*^9}, {
   3.432783433015625*^9, 3.432783525328125*^9}, 3.432783846015625*^9, 
   3.432783961515625*^9, {3.43278402853125*^9, 3.4327841449375*^9}, {
   3.43278417771875*^9, 3.432784228765625*^9}, {3.432784261671875*^9, 
   3.432784324375*^9}, {3.432784472015625*^9, 3.43278457453125*^9}}],

Cell[BoxData[
 RowBox[{"Graphics3D", "[", 
  RowBox[{
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{"(*", "  ", 
     RowBox[{"atomes", " ", "on", " ", "the", " ", "corners"}], "    ", 
     "*)"}], "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"PointSize", "[", ".03", "]"}], ",", "Red", ",", 
       RowBox[{"Point", "[", "aotc", "]"}]}], "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"(*", "  ", 
      RowBox[{"Face", " ", "Centered", " ", "Atomes"}], "     ", "*)"}], 
     "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"PointSize", "[", "Large", "]"}], ",", "Blue", ",", 
       RowBox[{"Point", "[", "fca", "]"}]}], "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"(*", "   ", 
      RowBox[{"Internal", " ", "Atomes"}], "         ", "*)"}], 
     "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"PointSize", "[", ".05", "]"}], ",", 
       RowBox[{"Point", "[", "ia", "]"}]}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"(*", "   ", "Lines", "                   ", "*)"}], 
     "\[IndentingNewLine]", 
     RowBox[{"{", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"Dashing", "[", "Small", "]"}], ",", "Red", ",", 
       RowBox[{"Line", "[", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"1", "/", "4"}], ",", 
            RowBox[{"1", "/", "4"}], ",", 
            RowBox[{"1", "/", "4"}]}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"0", ",", 
            RowBox[{"1", "/", "2"}], ",", 
            RowBox[{"1", "/", "2"}]}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"1", "/", "4"}], ",", 
            RowBox[{"3", "/", "4"}], ",", 
            RowBox[{"3", "/", "4"}]}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"0", ",", "1", ",", "1"}], "}"}]}], "}"}], "]"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"Line", "[", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{"1", "/", "4"}], ",", 
            RowBox[{"1", "/", "4"}], ",", 
            RowBox[{"1", "/", "4"}]}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"1", "/", "2"}], ",", "0", ",", 
            RowBox[{"1", "/", "2"}]}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"3", "/", "4"}], ",", 
            RowBox[{"1", "/", "4"}], ",", 
            RowBox[{"3", "/", "4"}]}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"1", ",", "0", ",", "1"}], "}"}]}], "}"}], "]"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"Line", "[", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{"3", "/", "4"}], ",", 
            RowBox[{"1", "/", "4"}], ",", 
            RowBox[{"3", "/", "4"}]}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"1", ",", 
            RowBox[{"1", "/", "2"}], ",", 
            RowBox[{"1", "/", "2"}]}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"3", "/", "4"}], ",", 
            RowBox[{"3", "/", "4"}], ",", 
            RowBox[{"1", "/", "4"}]}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"1", "/", "2"}], ",", 
            RowBox[{"1", "/", "2"}], ",", "0"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"1", "/", "4"}], ",", 
            RowBox[{"1", "/", "4"}], ",", 
            RowBox[{"1", "/", "4"}]}], "}"}]}], "}"}], "]"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"Line", "[", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{"3", "/", "4"}], ",", 
            RowBox[{"3", "/", "4"}], ",", 
            RowBox[{"1", "/", "4"}]}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"1", "/", "2"}], ",", "1", ",", 
            RowBox[{"1", "/", "2"}]}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"1", "/", "4"}], ",", 
            RowBox[{"3", "/", "4"}], ",", 
            RowBox[{"3", "/", "4"}]}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"1", "/", "2"}], ",", 
            RowBox[{"1", "/", "2"}], ",", "1"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"3", "/", "4"}], ",", 
            RowBox[{"1", "/", "4"}], ",", 
            RowBox[{"3", "/", "4"}]}], "}"}]}], "}"}], "]"}]}], 
      "\[IndentingNewLine]", "}"}]}], "\[IndentingNewLine]", "}"}], 
   "\[IndentingNewLine]", ",", 
   RowBox[{"BoxStyle", "\[Rule]", 
    RowBox[{"Directive", "[", "Dashed", "]"}]}]}], "\[IndentingNewLine]", 
  "]"}]], "Input",
 CellChangeTimes->{{3.432827489796875*^9, 3.432827608328125*^9}, {
   3.432827685359375*^9, 3.432827734640625*^9}, {3.4328279476875*^9, 
   3.432827962140625*^9}, {3.432827994734375*^9, 3.432828207203125*^9}, {
   3.43282824221875*^9, 3.432828318625*^9}, 3.4328285181875*^9, {
   3.432828569515625*^9, 3.43282857140625*^9}, {3.432828639984375*^9, 
   3.43282870428125*^9}, {3.432828772875*^9, 3.432828884921875*^9}}],

Cell[TextData[{
 StyleBox["\:0645\:0637\:0627\:0644\:0628 \:0648 \:062a\:0648\:0636\:064a\
\:062d\:0627\:062a \:0628\:064a\:0634\:062a\:0631 \:062f\:0631\n",
  FontColor->RGBColor[1, 0, 0]],
 StyleBox[ButtonBox["math2pc.persianblog.ir\n",
  BaseStyle->"Hyperlink",
  ButtonData:>{
    URL["http://www.math2pc.persianblog.ir"], None}],
  FontColor->RGBColor[0, 0, 1]],
 ButtonBox["math2pc.blog.ir",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://math2pc.blog.ir"], None},
  ButtonNote->"http://math2pc.blog.ir"]
}], "Text",
 CellChangeTimes->{{3.7447294760878*^9, 3.7447295059820004`*^9}, {
  3.7447295847976*^9, 3.7447295872488003`*^9}, {3.7447296318258*^9, 
  3.7447296338900003`*^9}, {3.7447297237511997`*^9, 3.7447297237511997`*^9}},
 TextAlignment->Center,
 TextJustification->0,
 FontSize->24]
},
WindowSize->{615, 527},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
FrontEndVersion->"8.0 for Microsoft Windows (64-bit) (November 7, 2010)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[545, 20, 139, 2, 31, "Input"],
Cell[687, 24, 2542, 74, 192, "Input"],
Cell[3232, 100, 2265, 46, 252, "Input"],
Cell[5500, 148, 5292, 138, 432, "Input"],
Cell[10795, 288, 809, 20, 101, "Text"]
}
]
*)

(* End of internal cache information *)
